(developer.useful_links)=

# Useful Links

If you're new to the Qt framework, here are some helpful resources to get you started. In BEC Widgets, we use Qt
distributions based on Qt6, specifically PyQt6 and PySide6. However, all code should be written using
the [`qtpy`](https://pypi.org/project/QtPy/) abstraction layer, which allows compatibility with both. While both PyQt6
and PySide6 are supported, we prefer PySide6 as it is the official Python binding from the Qt Company. It offers
advantages like bundling all necessary libraries in a single package with pip installation and staying more up-to-date
compared to PyQt6.

Below is a list of useful links to help you start developing with Qt and QtDesigner:

- [Python GUIs](https://www.pythonguis.com): A great resource with tutorials and examples for creating GUIs in Python
  using various frameworks.
- [PySide6 Quick Start Guide](https://doc.qt.io/qtforpython-6/index.html): The official documentation for PySide6,
  including quick start guides and tutorials.
- [QtDesigner Official Documentation](https://doc.qt.io/qt-6/qtdesigner-manual.html): Comprehensive documentation for
  QtDesigner.
- [Simple PyQt Tutorial from RealPython](https://realpython.com/python-pyqt-gui-calculator/): A beginner-friendly
  tutorial on creating your first GUI application with PyQt.
- [PyQtGraph Documentation](https://pyqtgraph.readthedocs.io/en/latest/): BEC Widgets relies on PyQtGraph for plotting;
  this is the official documentation.
